CreateRateTier
POST
/rate_tier
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://api.huddlesurety.co/rate_tier"), Content = new StringContent("{ \"orgID\": \"example\", \"rateID\": \"example\", \"threshold\": 1, \"type\": \"example\", \"value\": 1 }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://api.huddlesurety.co/rate_tier"
payload := strings.NewReader("{ \"orgID\": \"example\", \"rateID\": \"example\", \"threshold\": 1, \"type\": \"example\", \"value\": 1 }")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");RequestBody body = RequestBody.create(mediaType, "{ \"orgID\": \"example\", \"rateID\": \"example\", \"threshold\": 1, \"type\": \"example\", \"value\": 1 }");Request request = new Request.Builder() .url("https://api.huddlesurety.co/rate_tier") .post(body) .addHeader("Content-Type", "application/json") .build();
Response response = client.newCall(request).execute();import axios from 'axios';
const options = { method: 'POST', url: 'https://api.huddlesurety.co/rate_tier', headers: {'Content-Type': 'application/json'}, data: {orgID: 'example', rateID: 'example', threshold: 1, type: 'example', value: 1}};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}const url = 'https://api.huddlesurety.co/rate_tier';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"orgID":"example","rateID":"example","threshold":1,"type":"example","value":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")val body = RequestBody.create(mediaType, "{ \"orgID\": \"example\", \"rateID\": \"example\", \"threshold\": 1, \"type\": \"example\", \"value\": 1 }")val request = Request.Builder() .url("https://api.huddlesurety.co/rate_tier") .post(body) .addHeader("Content-Type", "application/json") .build()
val response = client.newCall(request).execute()use serde_json::json;use reqwest;
#[tokio::main]pub async fn main() { let url = "https://api.huddlesurety.co/rate_tier";
let payload = json!({ "orgID": "example", "rateID": "example", "threshold": 1, "type": "example", "value": 1 });
let mut headers = reqwest::header::HeaderMap::new(); headers.insert("Content-Type", "application/json".parse().unwrap());
let client = reqwest::Client::new(); let response = client.post(url) .headers(headers) .json(&payload) .send() .await;
let results = response.unwrap() .json::<serde_json::Value>() .await .unwrap();
dbg!(results);}curl --request POST \ --url https://api.huddlesurety.co/rate_tier \ --header 'Content-Type: application/json' \ --data '{ "orgID": "example", "rateID": "example", "threshold": 1, "type": "example", "value": 1 }'Request Bodyrequired
Section titled “Request Bodyrequired”Body
Media typeapplication/json
Body
object
orgID
required
string
rateID
required
string
threshold
required
number
type
required
string
value
required
number
Examplegenerated
{ "orgID": "example", "rateID": "example", "threshold": 1, "type": "example", "value": 1}Responses
Section titled “Responses”Created
Media typeapplication/json
object
id
required
string
orgID
required
string
rateID
required
string
threshold
required
number
type
required
string
value
required
number
Examplegenerated
{ "id": "example", "orgID": "example", "rateID": "example", "threshold": 1, "type": "example", "value": 1}